Seti Kamili ya API za Kutengeneza Maudhui ya AI
Fikia zaidi ya mitindo 30 ya kisasa ya AI kupitia API moja iliyounganishwa. Tengeneza video, picha, avatar, na sauti kwa ubora wa hali ya juu duniani.
API za Maandishi-kuwa-Video
Badilisha maelezo ya maandishi kuwa video za kustaajabisha ukitumia mitindo ya kisasa zaidi ya video ya AI duniani
Utengenezaji wa video unaoongoza sokoni ukiwa na matoleo 6 (1.0-2.1). Inasaidia hali za Standard na Pro, video za sekunde 5-10, na mshikamano wa kipekee wa mwendo.
Utengenezaji wa video wa hali ya juu wenye uelewa wa kipekee wa mandhari na mwendo asilia. Mitindo inayopatikana ni pamoja na Hailuo-02 na HailuoI2V.
Mtindo mpya wa video wa Google wenye uhalisia usio na kifani na usahihi wa kifizikia. Matokeo ya ubora wa juu.
Uhuishaji wa picha wa kitaalamu ukitumia mitindo ya Gen-2, Gen-3, na Gen4. Matokeo ya ubora wa filamu.
Utengenezaji wa video wa kisanii ukitumia Dream Machine. Tengeneza video za kibunifu zenye urembo wa kipekee.
Uundaji wa densi wa hali ya juu wenye msaada wa kwaya ya watu wengi. Tengeneza video za densi zenye uwiano kutoka kwa video rejea.
Imebobea katika vipande thabiti vya sekunde 5. Inapatikana katika ubora wa 480p na 1080p ikiwa na matokeo ya kuaminika.
Utengenezaji wa video uliolenga biashara ya mtandaoni. Imeboreshwa kwa maonyesho ya bidhaa na maudhui ya masoko.
API za Maandishi-kuwa-Picha
Tengeneza picha nzuri kutokana na maelezo ya maandishi ukitumia mitindo ya kisasa ya 'diffusion'
Google's most advanced image model with photorealistic quality and exceptional prompt adherence. Multiple sub-models available.
Mtindo wa haraka wa maendeleo kwa majaribio ya haraka. Uwiano kamili kati ya kasi na ubora kwa ajili ya mifano ya awali (prototyping).
Utengenezaji wa picha wa kitaalamu wenye maelezo yaliyoboreshwa na udhibiti wa kisanii. Uthabiti wa hali ya juu.
Enhanced version with improved prompt understanding and faster generation times. Better composition.
Utengenezaji wa picha wa ubora wa juu kabisa. Maelezo ya kina na azimio la juu kwa miradi inayohitaji makubwa.
Specialized for context-aware generation with Pro and Max modes. Excellent for specific style requirements.
Utekelezaji wa Flux ulioboreshwa wenye viwango vingi vya ubora kwa ajili ya utengenezaji wa haraka.
Mtindo wa picha wa Kichina wa hali ya juu wenye uelewa mzuri wa kisanii na udhibiti wa mtindo.
Mtindo wa kawaida wa sekta ambao ni chanzo wazi (open-source) wenye chaguzi nyingi za ubinafsishaji.
API za Picha-kuwa-Video
Zipe uhai picha tuli kwa mwendo wa akili na uhuishaji
Transform images into smooth videos with natural motion. Multiple versions and quality modes available.
Professional image animation with Gen-2, Gen-3, and Gen4 models. Cinema-quality results.
API za Avatar, Lip Sync & TTS
Tengeneza avatar zinazozungumza na kutoa sauti asilia yenye uwiano kamili wa midomo
Uhuishaji wa wahusika wenye uwiano kamili wa sauti. Zipe uhai picha za sura kwa miguso na mienendo asilia.
Sauti za AI asilia zaidi zenye udhibiti wa hisia na lugha nyingi.
Google's neural text-to-speech with WaveNet voices. Over 380 voices in 50+ languages with SSML support.
API Moja, Uwezekano Usio na Kikomo
🎯 Utengenezaji wa Jumla
Njia moja ya 'generate' kwa aina zote za maudhui - video, picha, sauti, na avatar. Rahisisha uunganishaji wako kwa API moja thabiti.
🤖 Uteuzi Mahiri wa Mtoa Huduma
Ruhusu AI yetu ichague mtoa huduma bora kulingana na mahitaji yako, au bainisha mtoa huduma unayempendelea kwa udhibiti kamili.
🔄 Maombi Yasiyojirudia (Idempotency)
Jaribu tena kwa usalama ukitumia vichwa vya habari vya Idempotency-Key. Usihofu kamwe kuhusu kutozwa mara mbili kutokana na matatizo ya mtandao.
📊 Kikomo Mahiri cha Kasi
Vichwa vya habari vilivyo wazi vya kikomo cha kasi (X-RateLimit-*) vinakusaidia kuboresha muda wa maombi na kuepuka makosa ya 429.
🔔 Webhooks Salama
Webhooks zilizotiwa saini na HMAC kwa arifa salama zisizo za moja kwa moja. Pata arifa maudhui yako yanapokuwa tayari.
⚡ Misimbo ya Makosa Iliyo Wazi
Misimbo ya makosa inayosomwa na mashine kama INSUFFICIENT_CREDITS na RATE_LIMIT inafanya utatuzi kuwa rahisi.
Misimbo ya Makosa ya Kawaida
| Msimbo | Maelezo | Hatua |
|---|---|---|
| INSUFFICIENT_CREDITS | Salio halitoshi kwa operesheni hii | Ongeza salio la akaunti yako |
| RATE_LIMIT | Maombi ni mengi mno | Angalia kichwa cha habari cha X-RateLimit-Reset |
| INVALID_INPUT | Vigezo vilivyowekwa si sahihi | Hakiki ingizo dhidi ya mpangilio (schema) |
| PROVIDER_UNAVAILABLE | Mtoa huduma aliyechaguliwa haipatikani kwa sasa | Jaribu tena au ruhusu uteuzi wa kiotomatiki |
| GENERATION_FAILED | Utengenezaji wa maudhui umeshindikana | Jaribu tena kwa vigezo tofauti |
Vikomo vya Kasi kulingana na Kifurushi
| Kifurushi | Maombi/dak | Maombi Sambamba | Kikomo cha Siku |
|---|---|---|---|
| Free | 10 | 1 | 100 |
| Starter | 30 | 3 | 1,000 |
| Pro | 60 | 10 | 10,000 |
| Enterprise | Custom | Custom | Unlimited |
Mifano ya Kodi ya Kuanza Haraka
# Universal generation API - Video example
curl -X POST https://api.doitong.com/graphql \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: unique-request-id-123" \
-d '{
"query": "mutation Generate($input: GenerateInput!) { generate(input: $input) { id status type provider url metadata { duration resolution } creditCost estimatedTime } }",
"variables": {
"input": {
"type": "VIDEO",
"provider": "minimax",
"input": {
"text": "A serene mountain landscape at sunset"
},
"options": {
"duration": 10,
"resolution": "1080p",
"style": "cinematic"
}
}
}
}'
# Auto-select best provider for quality
curl -X POST https://api.doitong.com/graphql \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"query": "mutation { generate(input: { type: VIDEO, input: { text: \"Epic dragon battle\" }, priority: QUALITY }) { id status provider creditCost } }"
}'
# Check generation status
curl -X POST https://api.doitong.com/graphql \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"query": "query { generation(id: \"gen_abc123\") { status progress url error { code message } } }"
}'
// Doitong Universal API Client
class DoitongAPI {
constructor(apiKey) {
this.apiKey = apiKey;
this.endpoint = 'https://api.doitong.com/graphql';
}
async generate(input) {
const response = await fetch(this.endpoint, {
method: 'POST',
headers: {
'Authorization': `Bearer ${this.apiKey}`,
'Content-Type': 'application/json',
'Idempotency-Key': crypto.randomUUID()
},
body: JSON.stringify({
query: `
mutation Generate($input: GenerateInput!) {
generate(input: $input) {
id
status
type
provider
url
metadata
creditCost
estimatedTime
error {
code
message
}
}
}
`,
variables: { input }
})
});
const data = await response.json();
// Check for rate limits
const remaining = response.headers.get('X-RateLimit-Remaining');
if (remaining && parseInt(remaining) < 10) {
console.warn(`Low rate limit: ${remaining} requests remaining`);
}
if (data.errors) {
throw new Error(data.errors[0].message);
}
return data.data.generate;
}
async checkStatus(id) {
const response = await fetch(this.endpoint, {
method: 'POST',
headers: {
'Authorization': `Bearer ${this.apiKey}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
query: `
query GetGeneration($id: ID!) {
generation(id: $id) {
id
status
progress
url
error {
code
message
}
}
}
`,
variables: { id }
})
});
const data = await response.json();
return data.data.generation;
}
async waitForCompletion(id, pollInterval = 2000) {
while (true) {
const result = await this.checkStatus(id);
if (result.status === 'COMPLETED') {
return result;
} else if (result.status === 'FAILED') {
throw new Error(result.error?.message || 'Generation failed');
}
await new Promise(resolve => setTimeout(resolve, pollInterval));
}
}
}
// Usage examples
const api = new DoitongAPI('YOUR_API_KEY');
// Simple video generation - let AI choose provider
const video = await api.generate({
type: 'VIDEO',
input: { text: 'A serene mountain landscape' }
});
// Specific provider with options
const video = await api.generate({
type: 'VIDEO',
provider: 'minimax',
input: { text: 'Epic battle scene' },
options: {
duration: 10,
resolution: '1080p',
style: 'cinematic'
}
});
// Image generation with auto-provider selection for quality
const image = await api.generate({
type: 'IMAGE',
input: { text: 'Photorealistic portrait' },
priority: 'QUALITY'
});
// Wait for completion
const result = await api.waitForCompletion(video.id);
console.log('Video ready:', result.url);
// Using Apollo Client for GraphQL
import { ApolloClient, gql } from '@apollo/client';
const CREATE_VIDEO = gql`
mutation CreateVideo($input: VideoCreateInput!) {
videoCreate(input: $input) {
id
status
videoUrl
}
}
`;
const client = new ApolloClient({
uri: 'https://api.doitong.com/graphql',
headers: {
authorization: 'Bearer YOUR_API_KEY'
}
});
const result = await client.mutate({
mutation: CREATE_VIDEO,
variables: {
input: {
prompt: 'Beautiful sunset over ocean',
model: 'luma',
duration: 9
}
}
});
import requests
import time
import json
import uuid
from typing import Dict, Optional, Any
class DoitongAPI:
def __init__(self, api_key: str):
self.api_key = api_key
self.base_url = "https://api.doitong.com/graphql"
self.headers = {
"Authorization": f"Bearer {api_key}",
"Content-Type": "application/json"
}
def generate(self,
content_type: str,
input_data: Dict[str, Any],
provider: Optional[str] = None,
options: Optional[Dict] = None,
idempotency_key: Optional[str] = None) -> Dict:
"""Universal generation method for all content types"""
# Add idempotency key for safe retries
headers = self.headers.copy()
if idempotency_key:
headers["Idempotency-Key"] = idempotency_key
else:
headers["Idempotency-Key"] = str(uuid.uuid4())
query = """
mutation Generate($input: GenerateInput!) {
generate(input: $input) {
id
status
type
provider
url
metadata
creditCost
estimatedTime
error
errorCode
}
}
"""
variables = {
"input": {
"type": content_type.upper(),
"input": input_data
}
}
if provider:
variables["input"]["provider"] = provider
if options:
variables["input"]["options"] = options
response = requests.post(
self.base_url,
headers=headers,
json={"query": query, "variables": variables}
)
# Handle rate limiting
if response.status_code == 429:
retry_after = response.headers.get("X-RateLimit-Reset", 60)
raise Exception(f"Rate limited. Retry after {retry_after} seconds")
data = response.json()
if "errors" in data:
error = data["errors"][0]
raise Exception(f"API Error: {error.get('message', 'Unknown error')}")
return data["data"]["generate"]
def check_status(self, generation_id: str) -> Dict:
"""Check the status of a generation"""
query = """
query GetGeneration($id: ID!) {
generation(id: $id) {
id
status
type
url
progress
error
errorCode
metadata
}
}
"""
response = requests.post(
self.base_url,
headers=self.headers,
json={
"query": query,
"variables": {"id": generation_id}
}
)
return response.json()["data"]["generation"]
def wait_for_completion(self, generation_id: str, max_wait: int = 300) -> Dict:
"""Poll until generation is complete"""
start_time = time.time()
while time.time() - start_time < max_wait:
result = self.check_status(generation_id)
if result["status"] == "completed":
return result
elif result["status"] == "failed":
error_code = result.get("errorCode", "UNKNOWN_ERROR")
error_msg = result.get("error", "Generation failed")
raise Exception(f"[{error_code}] {error_msg}")
# Adaptive polling - start fast, slow down over time
wait_time = 2 if time.time() - start_time < 30 else 5
time.sleep(wait_time)
raise TimeoutError("Generation timed out")
# Example usage
if __name__ == "__main__":
api = DoitongAPI("YOUR_API_KEY")
try:
# Generate a video (auto-selects best provider)
video = api.generate(
content_type="video",
input_data={"text": "A majestic eagle soaring through clouds"},
options={"duration": 10, "resolution": "1080p"}
)
print(f"Video generation started: {video['id']}")
# Wait for completion
result = api.wait_for_completion(video['id'])
print(f"Video ready: {result['url']}")
print(f"Credits used: {result['creditCost']}")
# Generate with specific provider
image = api.generate(
content_type="image",
provider="flux-ultra",
input_data={"text": "Professional product photography"},
options={"aspectRatio": "16:9", "quality": "ultra"}
)
# Generate audio/TTS
audio = api.generate(
content_type="audio",
provider="elevenlabs",
input_data={"text": "Welcome to the future of AI"},
options={"voice": "rachel", "emotion": "excited"}
)
except Exception as e:
print(f"Error: {e}")
# Universal generation mutation - works for all content types
mutation Generate($input: GenerateInput!) {
generate(input: $input) {
id
status
type
provider
url
metadata
creditCost
estimatedTime
progress
error
errorCode
}
}
# Example: Generate video (auto-select provider)
# Variables:
{
"input": {
"type": "VIDEO",
"input": {
"text": "A bustling Tokyo street at night with neon lights"
},
"options": {
"duration": 10,
"resolution": "1080p",
"style": "cinematic"
}
}
}
# Example: Generate video with specific provider
# Variables:
{
"input": {
"type": "VIDEO",
"provider": "kling",
"input": {
"text": "Epic space battle scene"
},
"options": {
"mode": "pro",
"duration": 10,
"aspectRatio": "16:9"
}
}
}
# Example: Image-to-video generation
# Variables:
{
"input": {
"type": "VIDEO",
"provider": "runway",
"input": {
"text": "Make the character dance",
"image": "https://example.com/character.jpg"
},
"options": {
"motionIntensity": "high",
"model": "gen-3"
}
}
}
# Example: Generate image
# Variables:
{
"input": {
"type": "IMAGE",
"provider": "flux-ultra",
"input": {
"text": "Photorealistic portrait in Rembrandt style"
},
"options": {
"aspectRatio": "16:9",
"quality": "ultra",
"seed": 42
}
}
}
# Example: Generate audio/TTS
# Variables:
{
"input": {
"type": "AUDIO",
"provider": "elevenlabs",
"input": {
"text": "Welcome to the future of artificial intelligence"
},
"options": {
"voice": "rachel",
"emotion": "excited",
"speed": 1.0
}
}
}
# Example: Generate avatar video
# Variables:
{
"input": {
"type": "AVATAR",
"provider": "heygen",
"input": {
"text": "Hello, I'm your AI assistant",
"voice": "professional_female"
},
"options": {
"avatarId": "kate",
"background": "modern_office",
"gesture": "friendly"
},
"webhookUrl": "https://your-app.com/webhook"
}
}
# Query generation status
query GetGeneration($id: ID!) {
generation(id: $id) {
id
status
type
provider
url
progress
metadata {
width
height
duration
format
}
creditCost
error
errorCode
createdAt
completedAt
}
}
# Cancel a generation
mutation CancelGeneration($id: ID!) {
cancelGeneration(id: $id)
}
# Get available providers for a content type
query GetProviders($type: GenerationType!) {
providers(type: $type) {
id
name
description
features
limitations
pricing {
creditCost
estimatedTime
}
options {
name
type
required
description
allowedValues
}
}
}
}
Uko Tayari Kuunda Kitu cha Ajabu?
Jiunge na maelfu ya watengenezaji wanaotumia API yetu kuunda maudhui ya AI ya kizazi kijacho